# Peertube instance index filter

By using global index of instances and auto-subscribing there are problem by removing from your instance following because it comes back after next sync.

This filter is middleware  to collect removed instances and list global index without them

## Commands

App can be called directly and do management in console.

- `peertube-instance-index-filter -command index -url https://instances.joinpeertube.org/api/v1/instances/hosts -instance-url https://instances.joinpeertube.org/api/v1/instances` - add url to index of hosts. Later it will be used to collect instances
- `peertube-instance-index-filter -command collect` - collect instances from index of hosts urls
- `peertube-instance-index-filter -command reject -host www.example.com` - reject instance from index to exclude it from global index
- `peertube-instance-index-filter -command audit -filter dead` - go through not rejected instances and check by filters: dead, duplicates

## Links

- `/` - some html information about this filter and stats
- `/instances` - list of instances in json format with more information. Supports pagination, filter by instance creation date: `?start=3&count=100&since=2024-01-10`. Sorted by descending creation date. Also it can be used as search by host: `?search=www.example.com`
- `/instances/hosts` - list of hosts in json format. Supports pagination, filter by instance creation date: `?start=3&count=100&since=2024-01-10`. Sorted by descending creation date

## Setup

Added docker files as example. See `/docker` folder.

`./instances-joinpeertube.db` is prepared datebase from *instances.joinpeertube.org* on 2025-06-20. It can be copied to `./instances.db` to be used.

## License

GPLv3
